/**
 * Makes sure you're dealing with an array.
 * @param input Input that will be converted to an array if it isn't already.
 */
export default function alwaysArray<T>(input: T | readonly T[]): T[];
/**
 * Makes sure you're dealing with an array. Iterables will be spread into an array.
 * @param input Input that will be converted to an array if it isn't already.
 */
export declare function convertIterables<T>(input: T | readonly T[] | Iterable<T>): T[];
